"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const test_1 = require("@oclif/test");
const fs = require("fs");
const YAML = require("js-yaml");
const test_utils_1 = require("../test-utils");
require("chai");
const definition_1 = require("../common/definition");
const COMMAND = 'unload';
// tslint:disable: no-unused-expression
describe(COMMAND, () => {
    beforeEach(() => {
        fs.writeFileSync(definition_1.CONFIG_FILENAME, YAML.safeDump({ definition: 'openapi.json' }));
    });
    afterEach(() => {
        fs.unlink(definition_1.CONFIG_FILENAME, (err) => null);
    });
    test_1.test
        .stdout()
        .command([COMMAND])
        .it('unloads definition from config file', (ctx) => {
        test_1.expect(ctx.stdout).to.contain('Unloaded succesfully!');
    });
    test_1.test
        .stdout()
        .command([COMMAND, test_utils_1.resourcePath('openapi.yml')])
        .it(`removes the definition property from the config file`, (ctx) => {
        const config = YAML.safeLoad(fs.readFileSync(definition_1.CONFIG_FILENAME));
        test_1.expect(config.definition).to.not.exist;
    });
});
