"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.swaggerUIOpts = exports.outputFormat = exports.serverOpts = exports.parseOpts = exports.apiRoot = exports.header = exports.validate = exports.servers = exports.help = void 0;
const command_1 = require("@oclif/command");
const help = (overrides = {}) => ({
    help: command_1.flags.help(Object.assign({ char: 'h' }, overrides)),
});
exports.help = help;
const servers = () => ({
    server: command_1.flags.string({
        char: 'S',
        description: 'override servers definition',
        helpValue: 'http://localhost:9000',
        multiple: true,
    }),
});
exports.servers = servers;
const validate = () => ({
    validate: command_1.flags.boolean({ char: 'V', description: 'validate against openapi schema' }),
});
exports.validate = validate;
const header = () => ({
    header: command_1.flags.string({ char: 'H', description: 'add request headers when calling remote urls', multiple: true }),
});
exports.header = header;
const apiRoot = () => ({
    root: command_1.flags.string({ char: 'R', description: 'override API root path', helpValue: '/' }),
});
exports.apiRoot = apiRoot;
const parseOpts = () => (Object.assign(Object.assign(Object.assign(Object.assign({ dereference: command_1.flags.boolean({ char: 'D', description: 'resolve $ref pointers' }), bundle: command_1.flags.boolean({ char: 'B', description: 'resolve remote $ref pointers' }) }, exports.apiRoot()), exports.header()), exports.validate()), exports.servers()));
exports.parseOpts = parseOpts;
const serverOpts = () => ({
    port: command_1.flags.integer({
        char: 'p',
        description: 'port',
        default: 9000,
        helpValue: '9000',
    }),
    logger: command_1.flags.boolean({
        description: '[default: true] log requests',
        default: true,
        allowNo: true,
    }),
});
exports.serverOpts = serverOpts;
const outputFormat = () => ({
    format: command_1.flags.enum({
        char: 'f',
        description: '[default: yaml] output format',
        options: ['json', 'yaml', 'yml'],
        exclusive: ['json', 'yaml'],
    }),
    json: command_1.flags.boolean({ description: 'format as json (short for -f json)', exclusive: ['format', 'yaml'] }),
    yaml: command_1.flags.boolean({ description: 'format as yaml (short for -f yaml)', exclusive: ['format', 'json'] }),
});
exports.outputFormat = outputFormat;
const swaggerUIOpts = () => ({
    expand: command_1.flags.string({
        description: '[default: list] default expansion setting for the operations and tags',
        options: ['full', 'list', 'none'],
    }),
    operationids: command_1.flags.boolean({ description: '[default: true] display operationIds', default: true, allowNo: true }),
    filter: command_1.flags.boolean({ description: '[default: true] enable filtering by tag', default: true, allowNo: true }),
    deeplinks: command_1.flags.boolean({ description: '[default: true] allow deep linking', default: true, allowNo: true }),
    withcredentials: command_1.flags.boolean({
        description: '[default: true] send cookies in "try it now"',
        default: true,
        allowNo: true,
    }),
    requestduration: command_1.flags.boolean({
        description: '[default: true] display request durations in "try it now"',
        default: true,
        allowNo: true,
    }),
});
exports.swaggerUIOpts = swaggerUIOpts;
